import request from '@/utils/request'

// 查询分离培训模版内容列表
export function listFlTmplContent(query) {
  return request({
    url: '/bccnew/flTmplContent/list',
    method: 'get',
    params: query
  })
}

// 查询分离培训模版内容详细
export function getFlTmplContent(id) {
  return request({
    url: '/bccnew/flTmplContent/' + id,
    method: 'get'
  })
}

// 新增分离培训模版内容
export function addFlTmplContent(data) {
  return request({
    url: '/bccnew/flTmplContent',
    method: 'post',
    data: data
  })
}

// 修改分离培训模版内容
export function updateFlTmplContent(data) {
  return request({
    url: '/bccnew/flTmplContent',
    method: 'put',
    data: data
  })
}

// 删除分离培训模版内容
export function delFlTmplContent(id) {
  return request({
    url: '/bccnew/flTmplContent/' + id,
    method: 'delete'
  })
}

// 导出分离培训模版内容
export function exportFlTmplContent(query) {
  return request({
    url: '/bccnew/flTmplContent/export',
    method: 'get',
    params: query
  })
}